[android-components](../../../index.md) / [mozilla.components.feature.pwa](../../index.md) / [WebAppUseCases](../index.md) / [GetInstallStateUseCase](index.md) / [invoke](./invoke.md)

# invoke

`operator suspend fun invoke(currentTime: `[`Long`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html)` = System.currentTimeMillis()): `[`WebAppInstallState`](../../-web-app-shortcut-manager/-web-app-install-state/index.md)`?` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/pwa/src/main/java/mozilla/components/feature/pwa/WebAppUseCases.kt#L95)

### Parameters

`currentTime` - the current time against which manifest usage timeouts will be validated